
From: Robert Love <rml@novell.com>

no need to call task_rq in setscheduler; just use rq

Signed-Off-By: Robert Love <rml@novell.com>
Acked-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN kernel/sched.c~sched-no-need-to-recalculate-rq kernel/sched.c
--- 25/kernel/sched.c~sched-no-need-to-recalculate-rq	2004-12-03 20:56:32.880761552 -0800
+++ 25-akpm/kernel/sched.c	2004-12-03 20:56:32.887760488 -0800
@@ -3154,12 +3154,12 @@ recheck:
 	}
 	array = p->array;
 	if (array)
-		deactivate_task(p, task_rq(p));
+		deactivate_task(p, rq);
 	retval = 0;
 	oldprio = p->prio;
 	__setscheduler(p, policy, lp.sched_priority);
 	if (array) {
-		__activate_task(p, task_rq(p));
+		__activate_task(p, rq);
 		/*
 		 * Reschedule if we are currently running on this runqueue and
 		 * our priority decreased, or if we are not currently running on
_
